/*快云存储产品*/
INSERT INTO `agent_product_type` (`id`, `type_name`, `parent_id`, `api_ptype`, `create_time`, `type_des`, `display`, `product_stage`, `order_num`) VALUES ('23', '快云存储', '0', 'cloudstorage', '2018-11-01 09:00:00', '快云存储', '1', '2', '0');

INSERT INTO `agent_product` (`id`, `product_type_id`, `product_name`, `system_type`, `api_name`, `product_des`, `create_time`, `modify_time`, `product_state`, `product_price`, `product_sales`, `product_volume`, `type`, `size`, `unit`, `up_level`, `image_url`, `image2_url`, `area_code`, `stage`) VALUES ('318', '23', '对象存储', '0', 'cloudstorage', '对象存储', '2018-11-01 09:00:00', '2018-11-01 09:00:00', '1', '0', '0', '0', '0', '0', '', '0', '', '', '4001', '2');

INSERT INTO `agent_product_price` (`product_id`, `month`, `giant_price`, `product_price`, `min_price`, `type`, `note_appended`, `state`, `create_time`, `up_time`, `area_code`, `api_type`) VALUES ('318', '1', '0.15', '0.15', '0.1', '0', 'cloudstorage.nc.price', '1', '2018-11-01 09:00:00', '2018-11-01 09:00:00', '4001', '');
INSERT INTO `agent_product_price` (`product_id`, `month`, `giant_price`, `product_price`, `min_price`, `type`, `note_appended`, `state`, `create_time`, `up_time`, `area_code`, `api_type`) VALUES ('318', '1', '0.29', '0.29', '0.18', '0', 'cloudstorage.ll.price', '1', '2018-11-01 09:00:00', '2018-11-01 09:00:00', '4001', '');
INSERT INTO `agent_product_price` (`product_id`, `month`, `giant_price`, `product_price`, `min_price`, `type`, `note_appended`, `state`, `create_time`, `up_time`, `area_code`, `api_type`) VALUES ('318', '2', '0.27', '0.27', '0.18', '0', 'cloudstorage.ll.price', '1', '2018-11-01 09:00:00', '2018-11-01 09:00:00', '4001', '');
INSERT INTO `agent_product_price` (`product_id`, `month`, `giant_price`, `product_price`, `min_price`, `type`, `note_appended`, `state`, `create_time`, `up_time`, `area_code`, `api_type`) VALUES ('318', '3', '0.25', '0.25', '0.17', '0', 'cloudstorage.ll.price', '1', '2018-11-01 09:00:00', '2018-11-01 09:00:00', '4001', '');
INSERT INTO `agent_product_price` (`product_id`, `month`, `giant_price`, `product_price`, `min_price`, `type`, `note_appended`, `state`, `create_time`, `up_time`, `area_code`, `api_type`) VALUES ('318', '4', '0.2', '0.2', '0.13', '0', 'cloudstorage.ll.price', '1', '2018-11-01 09:00:00', '2018-11-01 09:00:00', '4001', '');
INSERT INTO `agent_product_price` (`product_id`, `month`, `giant_price`, `product_price`, `min_price`, `type`, `note_appended`, `state`, `create_time`, `up_time`, `area_code`, `api_type`) VALUES ('318', '1', '60', '60.00', '39', '0', 'cloudstorage.dk.price', '1', '2018-11-01 09:00:00', '2018-11-01 09:00:00', '4001', '');

INSERT INTO `agent_product_config` (`product_id`, `config_key`, `config_value`, `app_name`, `product_type_id`, `unit`, `en_name`, `details`, `display`) VALUES ('318', '存储容量', '1', '', '23', 'GB', 'memory_config', '', '1');
INSERT INTO `agent_product_config` (`product_id`, `config_key`, `config_value`, `app_name`, `product_type_id`, `unit`, `en_name`, `details`, `display`) VALUES ('318', '外网流出流量', '1', '', '23', 'GB', 'traffic_config', '', '1');
INSERT INTO `agent_product_config` (`product_id`, `config_key`, `config_value`, `app_name`, `product_type_id`, `unit`, `en_name`, `details`, `display`) VALUES ('318', '外网带宽', '1', '', '23', 'MB', 'bandwidth_config', '', '1');

INSERT INTO `agent_sys` (`sys_type`, `sys_key`, `sys_value`, `sys_des`) VALUES ('12', 'cloudstorage', '对象存储!对象存储!对象存储', '对象存储页面关键字');

/*域名解析记录表解析记录ID自动长度修改*/
ALTER TABLE agent_domain_analysis CHANGE `dns_id` `dns_id` bigint(30) NOT NULL COMMENT "解析记录id";

/*快云存储前台菜单，后台菜单，后台权限*/
INSERT INTO `agent_frontend_menu` (`id`, `pid`, `name`, `title`, `link`, `type`, `phone`, `display`, `blank`, `create_time`, `update_time`, `order_number`, `beizhu`) VALUES ('1000', '0', '快云存储', '快云存储', '', '0', '0', '1', '0', '2018-11-01 09:00:00', '2018-11-01 09:00:00', '0', '');
INSERT INTO `agent_frontend_menu` (`id`, `pid`, `name`, `title`, `link`, `type`, `phone`, `display`, `blank`, `create_time`, `update_time`, `order_number`, `beizhu`) VALUES ('1001', '1000', '对象存储', '对象存储', '/cloudstorage/show', '1', '0', '1', '0', '2018-11-01 09:00:00', '2018-11-01 09:00:00', '0', '');
INSERT INTO `agent_admin_nav` (`pid`, `name`, `mca`, `ico`, `order_number`) VALUES ('46', '快云存储', 'backend/Cloudstorage/index', '', NULL);
INSERT INTO `agent_auth_rule` (`id`, `pid`, `name`, `title`, `status`, `type`, `condition`) VALUES ('345', '160', 'Backend/Cloudstorage/index', '快云存储业务列表', '1', '1', '');
INSERT INTO `agent_auth_rule` (`id`, `pid`, `name`, `title`, `status`, `type`, `condition`) VALUES ('346', '345', 'Backend/Cloudstorage/update', '更新快云存储业务页面', '1', '1', '');
INSERT INTO `agent_auth_rule` (`id`, `pid`, `name`, `title`, `status`, `type`, `condition`) VALUES ('347', '345', 'Backend/Cloudstorage/store', '更新快云存储业务', '1', '1', '');
INSERT INTO `agent_auth_rule` (`id`, `pid`, `name`, `title`, `status`, `type`, `condition`) VALUES ('348', '345', 'Backend/Cloudstorage/erase', '删除快云存储业务', '1', '1', '');
INSERT INTO `agent_auth_rule` (`id`, `pid`, `name`, `title`, `status`, `type`, `condition`) VALUES ('349', '345', 'Backend/Cloudstorage/details', '快云存储详情页面', '1', '1', '');
INSERT INTO `agent_auth_rule` (`id`, `pid`, `name`, `title`, `status`, `type`, `condition`) VALUES ('350', '345', 'Backend/Cloudstorage/assignment', '转让快云存储业务', '1', '1', '');
INSERT INTO `agent_auth_rule` (`id`, `pid`, `name`, `title`, `status`, `type`, `condition`) VALUES ('351', '345', 'Backend/Cloudstorage/sync', '同步快云存储业务', '1', '1', '');
INSERT INTO `agent_auth_rule` (`id`, `pid`, `name`, `title`, `status`, `type`, `condition`) VALUES ('352', '345', 'Backend/Cloudstorage/syncBatch', '批量同步更新快云存储业务', '1', '1', '');
INSERT INTO `agent_auth_rule` (`id`, `pid`, `name`, `title`, `status`, `type`, `condition`) VALUES ('353', '345', 'Backend/Cloudstorage/batcherase', '批量删除快云存储业务', '1', '1', '');

/*西数域名.com英文域名价格调整*/
UPDATE `agent_product_price` SET `giant_price`='77', `product_price`='74.00', `min_price`='77', `type`='0' WHERE (`product_id`='14') AND (`api_type`='1') AND (`month`='12');

SET FOREIGN_KEY_CHECKS=0;

/*快云存储业务表*/
DROP TABLE IF EXISTS `agent_cloudstorage_business`;
CREATE TABLE `agent_cloudstorage_business` (`id` int(11) NOT NULL AUTO_INCREMENT,`user_id` int(11) NOT NULL DEFAULT '-1' COMMENT '会员编号',`login_name` varchar(30) DEFAULT NULL COMMENT '会员登录账号',`product_id` int(5) DEFAULT NULL COMMENT '产品编号',`product_name` varchar(50) DEFAULT NULL COMMENT '产品名称',`create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',`ywbs` varchar(20) DEFAULT NULL COMMENT '业务标识',`open_time` datetime DEFAULT '0000-00-00 00:00:00' COMMENT '开通时间',`overdue_time` datetime DEFAULT '0000-00-00 00:00:00' COMMENT '到期时间',`buy_time` int(5) DEFAULT '0' COMMENT '购买时长（月）',`free_trial` int(2) DEFAULT '0' COMMENT '免费试用(0：不是免费试用，大于0表示试用）',`model` int(2) DEFAULT '1' COMMENT '模式：1为流量模式，2为带宽模式，3为切换中',`ywlx` int(2) NOT NULL DEFAULT '1' COMMENT '业务类型，0：老业务，1：新业务',`api_bid` int(11) NOT NULL COMMENT '接口业务编号',`state` int(1) NOT NULL DEFAULT '0' COMMENT '业务状态，1：成功,2：已删除,3：已过期,4：失败',`syqx` int(5) DEFAULT '0' COMMENT '业务剩余期限',`quota_dqzt` int(5) DEFAULT '0' COMMENT '容量状态；0：未到期，1：已到期',`quota` int(11) DEFAULT '0' COMMENT '全部容量：单位（G）',`paid_quota` int(11) DEFAULT '0' COMMENT '支付容量：单位（G）',`give_quota` int(11) DEFAULT '0' COMMENT '赠送容量：单位（G）',`flow` int(11) DEFAULT '0' COMMENT '全部流量：单位（G）',`paid_flow` int(11) DEFAULT '0' COMMENT '支付流量：单位（G）',`give_flow` int(11) DEFAULT '0' COMMENT '赠送流量：单位（G）',`use_flow` int(11) DEFAULT '0' COMMENT '已使用流量：单位（G）',`dkbh` int(5) DEFAULT '0' COMMENT '带宽编号',`dk` int(11) DEFAULT '0' COMMENT '带宽大小',`dk_overdue_time` datetime DEFAULT '0000-00-00 00:00:00' COMMENT '带宽到期时间',`dk_dqzt` int(2) DEFAULT '1' COMMENT '带宽是否到期；0：未到期，1：已到期',`dk_time` int(11) DEFAULT '0' COMMENT '带宽剩余期限',`distatus` int(2) DEFAULT '0' COMMENT '封停状态：0 正常，1，涉黄封停，2到期封停，3涉黄到期封停',`des` varchar(1000) DEFAULT NULL COMMENT '详细说明',`mail_state` int(1) NOT NULL DEFAULT '0' COMMENT '邮件发送状态：0，未发送；1，已发送',`beizhu` varchar(1000) DEFAULT NULL COMMENT '备注',`area_code` int(11) NOT NULL DEFAULT '4001',`access` smallint(6) DEFAULT '1',`admin_beizhu` varchar(1000) DEFAULT NULL COMMENT '管理员备注',`access_key` varchar(50) DEFAULT '' COMMENT '访问oss的Key',`secret_key` varchar(50) DEFAULT '' COMMENT '访问oss的Secret',`authentication` int(2) DEFAULT '0' COMMENT '实名认证；0：未认证，1已认证，2：审核中',PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='对象存储业务表';

DROP TABLE IF EXISTS `agent_cloudstorage_space`;
CREATE TABLE `agent_cloudstorage_space` (`id` int(11) NOT NULL AUTO_INCREMENT,`user_id` int(11) DEFAULT NULL COMMENT '会员编号',`yid` int(11) DEFAULT NULL COMMENT '存储业务主键id',`space` varchar(100) DEFAULT NULL COMMENT '空间名称',`quanxian` int(4) DEFAULT '2' COMMENT '空间权限 1私有   2公共读  3公共读写',`createtime` int(11) DEFAULT NULL,`updatetime` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,`refer` text COMMENT '域名白名单',`mirror` varchar(50) DEFAULT '' COMMENT '镜像存储',PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='对象存储空间表';

-- ----------------------------
-- Table structure for agent_cloudstorage_space_domain
-- ----------------------------
DROP TABLE IF EXISTS `agent_cloudstorage_space_domain`;
CREATE TABLE `agent_cloudstorage_space_domain` (`id` int(11) NOT NULL AUTO_INCREMENT,`user_id` int(11) DEFAULT NULL COMMENT '会员编号',`yid` int(11) DEFAULT NULL COMMENT '存储业务主键id',`sid` int(11) DEFAULT NULL COMMENT '空间id',`domain` varchar(100) DEFAULT NULL COMMENT '域名',`state` int(4) DEFAULT '1' COMMENT '状态',`is_ssl` int(4) DEFAULT '1' COMMENT '是否上传SSL证书',`createtime` datetime DEFAULT NULL,`updatetime` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='对象存储空间绑定域名表';

-- ----------------------------
-- Table structure for agent_cloudstorage_space_file
-- ----------------------------
DROP TABLE IF EXISTS `agent_cloudstorage_space_file`;
CREATE TABLE `agent_cloudstorage_space_file` (`id` int(11) NOT NULL AUTO_INCREMENT,`space_id` int(11) DEFAULT NULL COMMENT '所属空间的主键id值',`space_name` varchar(255) DEFAULT NULL COMMENT '所属空间名称',`file` varchar(255) DEFAULT NULL COMMENT '文件/夹名称',`file_fid` int(11) DEFAULT NULL COMMENT '文件/夹父id',`createtime` int(11) DEFAULT NULL,`updatetime` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,`user_id` int(11) DEFAULT NULL COMMENT '会员编号',`yid` int(11) DEFAULT NULL COMMENT '业务id',`ywbs` varchar(255) DEFAULT NULL COMMENT '业务标识',`type` tinyint(2) DEFAULT NULL COMMENT '1文件夹   2文件',`filesize` varchar(100) DEFAULT NULL COMMENT '文件大小',PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='对象存储空间文件表';
