$(function(){
	//初始化文件选择对话框
	$("#uploadFileDiv").dialog({
		title:'上传文件',
		autoOpen:false,
		modal:true,
		resizable:false,
		width:600,
		height:450,
		buttons: [
					{
						text: "完成",
						click: function() {
							removeAllFile();
							$("#iLoadingTotal").css("width",'0px');
							$("#showProgress").html("等待上传");
							$("#iboxTotal").hide();
							$( this ).dialog( "close" );
							// refreshBucket();
							 myrefresh();
						}
					},
					{
						text: "隐藏",
						click: function() {
							if(uploader.files.length>0)
							$("#iboxTotal").show();
							$("#uploadFileDiv").dialog("close");
						}
					}
				],
		close:function(){
			if(uploader.files.length>0)
				$("#iboxTotal").show();
		},
		open:function(){
			$("#iboxTotal").hide();
			 if (window.applicationCache) {
	            	if($("#addFileMess").length==0&&uploader.files.length==0)
		            	$('#addedFiles').append("<div id='addFileMess' style='padding: 4px 10px 0;font-size: 14px'>您的浏览器支持拖拽文件。最大上传文件大小为200M。</div>");
       		 } else{
       			 if($("#addFileMess").length==0&&uploader.files.length==0)
						$('#addedFiles').append("<div id='addFileMess' style='padding: 4px 10px 0;font-size: 14px'>最大上传文件大小为200M。不支持部分特殊字符。</div>");
       		 }
			if(uploader.total.percent>0&&uploader.total.percent<100){
				$(".ui-dialog-buttonpane button").eq(0).hide();
			    $(".ui-dialog-buttonpane button").eq(1).show();
			}else{
				$(".ui-dialog-buttonpane button").eq(0).show();
			    $(".ui-dialog-buttonpane button").eq(1).hide();
			}
		}
	});
	//初始化错误信息提示对话框
	$("#errorMess").dialog({
		title:'错误提示',
		autoOpen:false,
		modal:true,
		resizable:false,
		width:400,
		buttons:[
					{
						text: "知道了",
						click: function() {
							$( this ).dialog( "close" );
							$("#errorMess").empty();
						}
					}
				],
		close:function(){
			$("#errorMess").empty();
		}
	});
	$("#showProgress").click(function(){
		$("#uploadFileDiv").dialog("open");
	});
	uploader.init();
	
});

//打开文件选择对话框
function makeUploadDiv1(){
	$("#uploadFileDiv").dialog("open");
}
//设置响应拖拽事件的div
var dropElements = [$("#rightContent")[0],$("#uploadFileDiv")[0]];
var uploader = new plupload.Uploader({
	runtimes : 'html5,silverlight,flash,html4',
	browse_button : 'addFile', 
	container: 'uploadFileDiv', 
	drop_element:dropElements,
	//开发环境
	//生产环境
	url : $("#bucketName").val()+"/upload/1",
	//url : 'http://storage.zzidc.com/storage/upload',
	max_file_size : '200mb',
	file_data_name:'file',
	unique_names : false,
	//生产环境
	silverlight_xap_url : 'plupload2.1.2/js/Moxie.xap',
	flash_swf_url : 'plupload2.1.2/js/Moxie.swf',
	//flash_swf_url : 'https://libs.zzidc.com/kyun/mcky/storage/plupload2.1.2/js/Moxie.swf',
	filters : {
		/*mime_types : [
			{title:"上传文件", extensions:"htm,html,rar,zip,tar,gz,sql,doc,docx,txt,xls,xlsx,ppt,pptx,pdf,TMP,log,XML,JS,bmp,gif,jpg,jpeg,png,tiff,css"}
		],*/
		max_file_size : '200mb',
		prevent_duplicates:true,
	},
	//初始化时绑定回调函数
	init: {
		PostInit: function() {
			$('#uploadStop').click(function(){
				if(uploader.state==2){
					uploader.stop();
				}
			});
		},
		//开始上传之前
		BeforeUpload:function(up,file){

			var bucketName = $("#bucketName").val();

			var yid = $("#yid").val();
			var file_fid = $("#file_fid").val();
			var space_id = $("#space_id").val();

			uploader.setOption("multipart_params",{"yid":yid,"space":bucketName,"file_fid":file_fid,"space_id":space_id,"upload":1});
		},
		//添加一个文件是，触发该函数
		FilesAdded: function(up, files) {
			plupload.each(files, function(file) {
				var reg=/[\+\=\%/\$\&\"\s]/;
				var filename=file.name;

				if(reg.test(filename)==true){
					bindDeleteEvent(file.id);
					showAlert("文件名称中含有不支持的特殊字符");
					uploader.removeFile(file);
					return;
				}
				if(!$("#uploadFileDiv").dialog("isOpen")){
					$("#uploadFileDiv").dialog("open");
				}
				if(typeof(file.size)=="undefined"){
					uploader.removeFile(file);
   				}
				if(typeof(file.size)!="undefined"){
					try{$("#addFileMess").remove();}catch(e){}
					$('#addedFiles').append(getFileLiContent(file));
					bindDeleteEvent(file.id);
   				}
			});
			if(uploader.state==1){
			//	var folderName = $("#yfolderName").val();
				var bucketName = $("#bucketName").val();
				var yid = $("#yid").val();
				var file_fid = $("#file_fid").val();
				var space_id = $("#space_id").val();
				uploader.start();
			}
		},
		//单个文件上传进度更新的时候，触发该函数
		UploadProgress: function(up, file) {
			//更新全局进度
			gaibianjindu(uploader.total.percent,uploader.total.uploaded,uploader.files.length,uploader.total.failed,"iLoadingTotal","iboxTotal");
			//更新当前文件进度
			updateOneFileProgress(file.percent,file.id);
		},
		//上传/添加文件失败，触发该函数
		Error: function(up, err) {
			if(err.code==-600||err.code==-601||err.code==-602||err.code==-603){
				$("#errorMess").append("<P>文件名： "+err.file.name+"</p>");
				$("#errorMess").append("<p>错误信息："+err.message+"</p>");
				if(!$("#errorMess").dialog("isOpen")){
					$("#errorMess").dialog("open");
				}
			}
			//获取上传过程中产生的错误。
			responseMess = err.response;
			responseCode = err.status;
			//进度条设置为失败
			if(responseMess=="QuotaExceeded"){
				setError(err.file.id,"存储空间已用完")
			}else if(responseMess=="notImage"){
				setError(err.file.id,"文件类型错误");
			}else{
				setError(err.file.id,err.message);
			}
		},
		UploadComplete:function(uploader,files){
			//设置全局进度 
			gaibianjindu(100,uploader.total.uploaded,uploader.files.length,uploader.total.failed,"iLoadingTotal","iboxTotal");
			$(".ui-dialog-buttonpane button").eq(0).show();
			$(".ui-dialog-buttonpane button").eq(1).hide();
		}
	}
});

//为新添加上的文件绑定删除事件		
function bindDeleteEvent(id){
	$("em[id^=em-"+id+"]").click(function(){
		var id = $(this).attr("id");
		removeFile(id);
	});
}

//删除一个文件
function removeFile(id){
	id = id.substring(3,id.length);
	plupload.each(uploader.files, function(file) {
		if(file.id==id){
			uploader.removeFile(file);
			$("li[id=li-"+file.id+"]").remove();
		}
	});
}

//点击完成按钮，删除所有文件
function removeAllFile(){
	files = uploader.files;
	plupload.each(files,function(file) {
		try{
			uploader.removeFile(file);
			$("li[id=li-"+file.id+"]").remove();
		}catch(e){
		}
	});
	if(uploader.files.length>0){
		removeAllFile();
	}
}

/**
 * 更新当前文件上传进度
 * @param nowProgress 当前的进度
 * @param id 当前文件的id
 * @return
 */
function updateOneFileProgress(nowProgress,id){
	$(".ui-dialog-buttonpane button").eq(0).hide();
	$(".ui-dialog-buttonpane button").eq(1).show();
	if(nowProgress>100){
		nowProgress=100;
	}
	if(nowProgress==100){
		$("em[id^=em-"+id+"]").css("display","none");
	}
	$("#jd-"+id).css("width",nowProgress+"%");
	$("#jdw-"+id).html(nowProgress+"%");
}

/**
 * 当任务有错误的时候进行这个更新
 * @param iWidth
 * @param idiv
 * @param ibox
 * @param errorInfo
 * @return
 */
function setError(id,errorInfo) {	   
	$("em[id^=em-"+id+"]").css("display","none");
	$("#jd-"+id).css("width",0+"%");
	$("#jdw-"+id).html(errorInfo);
}
/**
 * iWidth 当前进度数
 * nowCount 上传完成了几个
 * total 总共有几个文件
 * idiv 当前进度图片id 
 * ibox 总进度底图id
 */
function gaibianjindu(iWidth,nowCount,total,error,idiv,ibox) {
	totalWidth = $("#"+ibox).css("width");
	fix = parseInt(totalWidth)/100;
   	if(iWidth > 100){
		iWidth = 100;
   	}
   	//图片进度条
   	$("#"+idiv).css("width",fix*iWidth+'px');
   	//文字提示
	if(error>0){
		$("#showProgress").html(Math.round(iWidth)+"%("+nowCount+"/"+total+")失败了："+error);
	}else{
		$("#showProgress").html(Math.round(iWidth)+"%("+nowCount+"/"+total+")");
	}
}

//新加一个文件，生成相应的文件上传进度条
function getFileLiContent(file){
	li = '<li id="li-'+file.id+'" class="pass">                                        '+
		'	<div class="title">                                                        '+
		'		<span class="name">'+file.name+' ('+plupload.formatSize(file.size)+')</span>  '+
		'		<em class="pass" id="em-'+file.id+'" style="display: block;cursor:pointer;margin-top:5px;margin-bottom:8px">取消</em>    '+
		'	</div>                                                                     '+
		'	<div class="progress">                                                     '+
		'		<span class="progress-box">                                            '+
		'			<span id="jd-'+file.id+'" class="progress-bar" style="width: 0%;"></span>             '+
		'		</span>                                                                '+
		'		<span id="jdw-'+file.id+'" class="progress-value" style="position: absolute;left: 0;color: #fff;margin-left: 30px;">0%</span> '+
		'	</div>                                                                     '+
		'</li>                                                                         ';
	return li
}
